Loading...
Searching...
No Matches
fm_index.hpp File Reference

Provides the unidirectional seqan3::fm_index. More...

`#include <algorithm>`
`#include <filesystem>`
`#include <ranges>`
`#include <seqan3/alphabet/views/to_rank.hpp>`
`#include <seqan3/contrib/sdsl-lite.hpp>`
`#include <seqan3/core/range/type_traits.hpp>`
`#include <seqan3/search/fm_index/concept.hpp>`
`#include <seqan3/search/fm_index/detail/fm_index_cursor.hpp>`
`#include <seqan3/search/fm_index/fm_index_cursor.hpp>`
Include dependency graph for fm_index.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | seqan3::fm_index< alphabet_t, text_layout_mode_, sdsl_index_type_ >
| The SeqAn FM Index. More...

## Namespaces

namespace | seqan3
| The main SeqAn3 namespace.

## Typedefs

using | seqan3::default_sdsl_index_type = sdsl_wt_index_type
| The default FM Index Configuration.
using | seqan3::sdsl_wt_index_type
| The FM Index Configuration using a Wavelet Tree.

## Functions

Template argument type deduction guides
template<std::ranges::range text_t>
| seqan3::fm_index (text_t &&) -> fm_index< range_innermost_value_t< text_t >, text_layout
| Deduces the alphabet and dimensions of the text.

## Detailed Description

Provides the unidirectional seqan3::fm_index.

Author
  Christopher Pockrandt <christopher.pockrandt AT fu-berlin.de>

Hide me